package betterquesting.commands.admin;

import betterquesting.api.properties.NativeProps;
import betterquesting.commands.QuestCommandBase;
import betterquesting.handlers.SaveLoadHandler;
import betterquesting.network.handlers.NetSettingSync;
import betterquesting.storage.QuestSettings;
import java.util.ArrayList;
import java.util.List;
import net.minecraft.command.CommandBase;
import net.minecraft.command.ICommandSender;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.server.MinecraftServer;
import net.minecraft.util.ChatComponentTranslation;

/* loaded from: betterquesting_commands_admin.jar:betterquesting/commands/admin/QuestCommandHardcore.class */
public class QuestCommandHardcore extends QuestCommandBase {
    public String getCommand() {
        return "hardcore";
    }

    public String getUsageSuffix() {
        return "[true|false]";
    }

    public boolean validArgs(String[] args) {
        return args.length == 1 || args.length == 2;
    }

    public List<String> autoComplete(MinecraftServer server, ICommandSender sender, String[] args) {
        List<String> list = new ArrayList<>();
        if (args.length == 2) {
            return CommandBase.func_71530_a(args, new String[]{"true", "false"});
        }
        return list;
    }

    public void runCommand(MinecraftServer server, CommandBase command, ICommandSender sender, String[] args) {
        boolean flag = !((Boolean) QuestSettings.INSTANCE.getProperty(NativeProps.HARDCORE)).booleanValue();
        if (args.length == 2) {
            try {
                if (args[1].equalsIgnoreCase("on")) {
                    flag = true;
                } else if (args[1].equalsIgnoreCase("off")) {
                    flag = false;
                } else {
                    flag = Boolean.parseBoolean(args[1]);
                }
            } catch (Exception e) {
                throw getException(command);
            }
        }
        QuestSettings.INSTANCE.setProperty(NativeProps.HARDCORE, Boolean.valueOf(flag));
        SaveLoadHandler.INSTANCE.markDirty();
        Object[] objArr = new Object[1];
        objArr[0] = new ChatComponentTranslation(((Boolean) QuestSettings.INSTANCE.getProperty(NativeProps.HARDCORE)).booleanValue() ? "options.on" : "options.off", new Object[0]);
        sender.func_145747_a(new ChatComponentTranslation("betterquesting.cmd.hardcore", objArr));
        NetSettingSync.sendSync((EntityPlayerMP) null);
    }
}
